Bug 229632 - FC6 update has broken deps
FC6 update has broken deps
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Luke Macken
Depends On:
  Show dependency treegraph
Reported: 2007-02-22 05:43 EST by Michael Schwendt
Modified: 2016-09-19 22:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-27 03:21:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2007-02-22 05:43:37 EST
source rpm: python-virtinst-0.98.0-1.fc6.src.rpm
package: python-virtinst - 0.98.0-1.fc6.noarch from fedora-core-updates-6-ppc
  unresolved deps: 
     libvirt-python >= 0:0.1.4-4



> No clue why that's complaining. The python-virtinst spec file has an 
> explict 'ExcludeArch: ppc ppc64' rule in there, so it shouldn't ever
> make it to the fedora-core-updates-6-ppc  collection.
Comment 1 Jeremy Katz 2007-02-22 08:53:00 EST
This looks to be a bug with the update system.
Comment 2 Luke Macken 2007-02-27 03:21:58 EST
Yes, the updates system is ignorant with regard to ExcludeArches.  dgregor sent
me a patch to have it check for this while building the filelist, but it needs
to be shoved into the push code as well.  I'm going to also make sure that the
new updates system, bodhi, can handle this properly.

I went ahead and removed python-virtinst from the ppc updates.  

Note You need to log in before you can comment on or make changes to this bug.